/**
 * Theme Name: Aspen Forum for Community Solutions
 * Description: AFCS Child there of Aspen Institute Program
 * Author: WDG
 * Author URI: https://www.webdevelopmentgroup.com/
 * Version: 1.0.0
 * Template: aspen-institute-program
 */

:root {
	--wdg-color-black: #000;
	--wdg-color-tonal-black: #1c1622;
	--wdg-color-slate: #424340;
	--wdg-color-brand-blue: #00497b;
	--wdg-color-medium-blue: #0f99f9;
	--wdg-color-dark-blue: #00497b;
	--wdg-color-darker-blue: #263640;
	--wdg-color-lighter-blue: #61bcfb;
	--wdg-color-blue-wash: #f0f4f7;
	--wdg-color-purple: #6e38be;
	--wdg-color-dark-purple: #3f2861;
	--wdg-color-coral: #c5037e;
	--wdg-color-gold: #fdc60a;
	--wdg-color-lime-green: #8cbc40;
	--wdg-color-orange: #e18e41;
	--wdg-color-button-border: linear-gradient( 84deg, var( --wdg-color-coral ) -15.17%, var( --wdg-color-coral ) 106.33% );
	--wdg-color-button-hover-background: var( --wdg-color-button-border );
	--wdg-color-button-hover-text: var( --wdg-color-white );
}

.masthead {
	--wdg-color-text: var( --wdg-color-brand-blue );
}

.has-background {
	color: var( --wdg-color-text );
}

/**
 * Color Scheme Overrides
 */
.has-black-background-color,
.has-tonal-black-background-color,
.has-slate-background-color,
.has-brand-blue-background-color,
.has-medium-blue-background-color,
.has-purple-background-color,
.has-dark-purple-background-color {
	--wdg-color-text: var( --wdg-color-white );
	--wdg-color-heading: var( --wdg-color-white );
	--wdg-color-button-text: var( --wdg-color-white );
	--wdg-color-button-border: linear-gradient(84deg, var( --wdg-color-gold ) -15.17%, var( --wdg-color-gold ) 106.33%);
	--wdg-color-button-hover-background: var( --wdg-color-button-border );
	--wdg-color-button-hover-text: var( --wdg-color-tonal-black );
	--wdg-color-button-icon: var( --wdg-color-gold );
}

.masthead--immersive.masthead--immersive-background-color-black,
.masthead--immersive.masthead--immersive-background-color-tonal-black,
.masthead--immersive.masthead--immersive-background-color-slate,
.masthead--immersive.masthead--immersive-background-color-brand-blue,
.masthead--immersive.masthead--immersive-background-color-medium-blue,
.masthead--immersive.masthead--immersive-background-color-blue-wash,
.masthead--immersive.masthead--immersive-background-color-purple,
.masthead--immersive.masthead--immersive-background-color-dark-purple {
	--wdg-masthead-immersive-color-text: var( --wdg-color-white );
	--wdg-masthead-immersive-color-link: var( --wdg-color-white );
}

.has-gold-background-color,
.has-lime-green-background-color,
.has-blue-wash-background-color,
.has-orange-background-color {
	--wdg-color-text: var( --wdg-color-tonal-black );
	--wdg-color-heading: var( --wdg-color-tonal-black );
	--wdg-color-button-text: var( --wdg-color-tonal-black );
}

.masthead--immersive.masthead--immersive-background-color-gold,
.masthead--immersive.masthead--immersive-background-color-lime,
.masthead--immersive.masthead--immersive-background-color-orange {
	--wdg-masthead-immersive-color-text: var( --wdg-color-tonal-black );
	--wdg-masthead-immersive-color-link: var( --wdg-color-tonal-black );
}


.header {
	&.header--cover {
		.header__decor-box-a {
			background-color: var( --wdg-color-gold );
		}
		.header__decor-box-b {
			background-color: var( --wdg-color-coral );
		}
	}
}

.has-decor {
	--wdg-decor-url: url(/wp-content/themes/aspen-forum-community-solutions/assets/img/decor.png);
}

.wp-block-button.is-style-plain-text {
	--wdg-color-button-border: linear-gradient(84deg, transparent -15.17%, transparent 106.33%);

	&:hover {
		--wdg-color-button-border: linear-gradient(84deg, var( --wdg-color-button-icon ) -15.17%, var( --wdg-color-button-icon ) 106.33%);
	}

	svg {
		color: var( --wdg-color-button-icon );
	}
}
